Page MenuHomePhabricator

[Story] Make size of Special:ListProperties limited
Closed, ResolvedPublic1 Story Points

Description

For example, there're 10000+ properties in https://wikidata.beta.wmflabs.org. https://wikidata.beta.wmflabs.org/wiki/Special:ListProperties list all of them. It's not a good idea to list all properties. A "limit" parameter should be added.

Event Timeline

Bugreporter updated the task description. (Show Details)
Bugreporter raised the priority of this task from to Needs Triage.
Bugreporter added a project: Wikidata.
Bugreporter added a subscriber: Bugreporter.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2015, 5:13 AM
Lydia_Pintscher triaged this task as Normal priority.May 15 2015, 2:04 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Change 230063 had a related patch set uploaded (by Addshore):
Add paging to ListProperties

https://gerrit.wikimedia.org/r/230063

Jonas renamed this task from Make size of Special:ListProperties limited to [Story] Make size of Special:ListProperties limited.Aug 14 2015, 8:55 AM
Jonas set Security to None.

Change 230063 merged by jenkins-bot:
Add paging to ListProperties

https://gerrit.wikimedia.org/r/230063

Jonas closed this task as Resolved.Aug 31 2015, 9:01 AM
Jonas moved this task from Doing to Done on the Wikidata-Sprint-2015-08-18 board.
Lydia_Pintscher reopened this task as Open.Aug 31 2015, 2:53 PM

Reopening this because it still has issues. When selecting a specific datatype and then paging or increasing the number of properties shown the datatype selection is forgotten.

daniel closed this task as Resolved.Aug 31 2015, 6:26 PM
daniel added a subscriber: daniel.